//////////////////////////////////////////////////////////////////////////////////////////////////
// porty.c - wykorzystanie makr dostpu do poszczeglnych rejestrw wyprowadze mikrokontrolera
// 
// Autor: Radosaw Koppel          Kompilator: WinAVR 20050214
//////////////////////////////////////////////////////////////////////////////////////////////////
#include <avr\io.h>
#include <inttypes.h>

// Makra upraszczajce dostp do portw
// *** Port
#define PORT(x) XPORT(x)
#define XPORT(x) (PORT##x)
// *** Pin
#define PIN(x) XPIN(x)
#define XPIN(x) (PIN##x)
// *** DDR
#define DDR(x) XDDR(x)
#define XDDR(x) (DDR##x)

// Definicje wyprowadze
#define LED_PORT D
#define SW_PORT D
#define SW1 0
#define SW2 1

// START
int main(void)
{
	// Konfiguracja portu
	DDR(LED_PORT) = 0x7C; 
	// Podciganie przyciskw
	PORT(SW_PORT) |= 1<<SW1 | 1<<SW2;

	for(;;)
	{
		// Wczenie wszystkich diod
		PORT(LED_PORT) &= ~0x7C;
		// Wyczenie lewej strony
		while(!(PIN(SW_PORT) & 1<<SW1))
			PORT(LED_PORT) |= 0x0C;
		// Wyczenie prawej strony
		while(!(PIN(SW_PORT) & 1<<SW2))
			PORT(LED_PORT) |= 0x60;
	}
	return 0;
}
